<template>
    <div class="side-play">
        <div class="wrap-side">
            <div class="title-section centered txt-gray6-dark">
                {{isLang.videos.side.title}}
            </div>
            <div class="cabine">
                <div class="cabine-child is-flow">
                    <div style="margin: 0; width: 100%;">
                        <template v-for="iam in Videos" :key="iam.id">
                            <div class="item" @click="goto(`${iam.id}`)" v-if="iam.id !== exclu">
                                <div class="case-one centered">
                                    <div class="minia centered bg-night-light">
                                        <img v-lazy="iam.img" class="covered">
                                        <div class="voile centered">
                                            <div class="btn-wrap br20 col-icon">
                                                <div class="icon-case">
                                                    <play-icon size="icon-40"/>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="case-two centered">
                                    <div class="dati">
                                        <div class="tit txt-full-white" style="font-weight: 500">
                                            {{ iam.name }}
                                        </div>
                                        <div class="tit txt-fake-white tree-dot">{{ iam.director }}</div>
                                        <div class="tit txt-gray-mid v-tit">
                                            {{ iam.views }} {{isLang.videos.side.vues}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </template>
                        <div class="end-list txt-gray6-dark centered">
                            <div class="centered end-list">
                                {{isLang.videos.side.end}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { useRouter } from 'vue-router';
import langStore from '../store/langStore';
import PlayIcon from '../components/icons/PlayIcon.vue'
import Videos from '../data/videos';
import StoreVideo from '../store/videoPlaying';

const { currentRoute, push } = useRouter();
const {  getData } = StoreVideo;

const cid = currentRoute.value.params.id;
const { isLang } = langStore;
const exclu = ref(cid);

async function goto(id: string): Promise<void> {
    push(`/nos-videos/${id}`)
    try {
        await getData(id);
        exclu.value = id;
    } catch (err: any) {
        console.log;
    }
}
</script>

<style scoped>
img {
  width: 100%;
  height: 100%;
}
.wrap-side {
        margin: 0;
        width: 100%;
        height: 100%;
    }

/* version mobile max 768px */

@media (max-width: 768px) {

    .side-play {
        margin: 0;
        width: 100%;
        flex: 1;
        min-height: 0;
    }
    .title-section {
        margin: 0;
        width: 100%;
        height: 40px;
    }
    .cabine {
        margin: 0;
        width: 100%;
        height: calc(100% - 40px);
    }
    .cabine-child {
        margin: 0;
        width: 100%;
        height: 100%;
    }
    .item {
        margin: 0;
        width: 100%;
        min-height: 130px;
        display: flex;
        cursor: pointer;
    }
    .item:hover .ntitle {
        color: var(--secondary-light);
        transition: color .6s;
    }
    .col-icon {
        color: transparent;
    }
    .item:hover .col-icon {
        color: var(--full-white);
        transition: color .6s;
    }
    .voile {
        margin: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }
    .item:hover .voile {
        background: rgba(3, 0, 27, 0.356);
        transition: background .6s;
    }

    .case-one {
        margin: 0;
        width: 40%;
    }
    .minia {
        margin: 0;
        width: 100%;
        height: calc(40vw / 1.77);
        position: relative;
    }
    .dati {
        margin: 0;
        width: 100%;
        height: 90%;
    }
    .tit {
        margin: 0;
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 10px;
        width: 100%;
        min-height: 30px;
    }
    .v-tit {
        font-size: 14px;
        font-weight: 500;
    }
    .case-two {
        margin: 0;
        height: 100%;
        width: 60%;
    }
    .end-list {
        margin: 0;
        width: 100%;
        height: 50px;
    }
}



/* version tablette 769px - 1023px */
@media (min-width: 769px) and (max-width: 1023px) {
    .side-play {
        margin: 0;
        width: 100%;
        flex: 1;
        min-height: 0;
    }
    .title-section {
        margin: 0;
        width: 100%;
        height: 40px;
        font-size: 25px;
    }
    .cabine {
        margin: 0;
        width: 100%;
        height: calc(100% - 40px);
    }
    .cabine-child {
        margin: 0;
        width: 100%;
        height: 100%;
    }
    .item {
        margin: 0;
        padding-top: 10px;
        padding-bottom: 10px;
        width: 100%;
        min-height: 130px;
        display: flex;
        cursor: pointer;
    }
    .item:hover .ntitle {
        color: var(--secondary-light);
        transition: color .6s;
    }
    .col-icon {
        color: transparent;
    }
    .item:hover .col-icon {
        color: var(--full-white);
        transition: color .6s;
    }
    .voile {
        margin: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }
    .item:hover .voile {
        background: rgba(3, 0, 27, 0.356);
        transition: background .6s;
    }

    .case-one {
        margin: 0;
        width: 40%;
    }
    .minia {
        margin: 0;
        width: 100%;
        height: calc(40vw / 1.77);
        position: relative;
    }
    .dati {
        margin: 0;
        width: 100%;
        height: 90%;
    }
    .tit {
        margin: 0;
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 10px;
        width: 100%;
        min-height: 30px;
        font-size: 25px;
    }
    .v-tit {
        font-size: 20px;
        font-weight: 500;
    }
    .case-two {
        margin: 0;
        height: 100%;
        width: 60%;
    }
    .end-list {
        margin: 0;
        width: 100%;
        height: 50px;
        font-size: 25px;
    }
}


/*version bureau min 1024px */

@media (min-width: 1024px) {
    .side-play {
        margin: 0;
        height: 100%;
        width: 35%;
    }
    .title-section {
        margin: 0;
        width: 100%;
        height: 40px;
    }
    .cabine {
        margin: 0;
        width: 100%;
        height: calc(100% - 40px);
    }
    .cabine-child {
        margin: 0;
        width: 100%;
        height: 100%;
    }
    .item {
        margin: 0;
        width: 100%;
        min-height: 130px;
        display: flex;
        cursor: pointer;
    }
    .item:hover .ntitle {
        color: var(--secondary-light);
        transition: color .6s;
    }
    .col-icon {
        color: transparent;
    }
    .item:hover .col-icon {
        color: var(--full-white);
        transition: color .6s;
    }
    .voile {
        margin: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }
    .item:hover .voile {
        background: rgba(3, 0, 27, 0.356);
        transition: background .6s;
    }


    .case-one {
        margin: 0;
        width: 40%;
    }
    .minia {
        margin: 0;
        width: 100%;
        height: 100px;
        position: relative;
    }
    .dati {
        margin: 0;
        width: 100%;
        height: 90%;
    }
     .tit {
        margin: 0;
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 10px;
        width: 100%;
        min-height: 30px;
    }
    .v-tit {
        font-size: 14px;
        font-weight: 500;
    }
    .case-two {
        margin: 0;
        height: 100%;
        width: 60%;
    }
    .end-list {
        margin: 0;
        width: 100%;
        height: 50px;
    }
}

</style>